/* 
 * Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA 02110-1301  USA
 */
#include "stdafx.h"

#include <mforms/mforms.h>

using namespace mforms;


ImageBox::ImageBox()
{
  _imagebox_impl= &ControlFactory::get_instance()->_imagebox_impl;
  
  _imagebox_impl->create(this);
}


void ImageBox::set_image(const std::string &file)
{
  _imagebox_impl->set_image(this, file);
}
