#ifndef _STDAFX_H_
#define _STDAFX_H_

#if !defined(_WIN32) && !defined(__APPLE__)
#include <gtkmm/clipboard.h>
#endif

#ifdef _WIN32
#define snprintf _snprintf
#define NOMINMAX
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <float.h>
#define INFINITY FLT_MAX

#include <list>
#include <vector>
#include <sigc++/sigc++.h>

#include <string>
#include <map>
#include <set>
#include <stdexcept>
#include <assert.h>
#include <algorithm>
#include <typeinfo>
#include <fstream>

#include <sigc++/sigc++.h>
#include <stdio.h>

#define _USE_MATH_DEFINES
#include <math.h>

#include <cairo/cairo.h>
#include <cairo/cairo-pdf.h>

#include <gl/gl.h>
#include <gl/glu.h>

#include <glib.h>
#include <glib/gthread.h>

#include "grtpp.h"
#include "grtpp_util.h"
#include "grt/common.h"

#include "grts/structs.app.h"

#else // !_WIN32

#include <sigc++/sigc++.h>
#include <glib.h>
#include <string>
#include <vector>
#include <stdexcept>
#include <stdarg.h>
#include <algorithm>
#include <map>
#include <list>
#include <sstream>
#include <cctype>
#include <pcre.h>
#include <algorithm>
#include <boost/shared_ptr.hpp>
#include <boost/weak_ptr.hpp>
#include "grtpp.h"
#include "grtpp_util.h"
#include "grt/common.h"
#include "grt/tree_model.h"
#include "grt/grt_manager.h"

#include "grts/structs.app.h"
#include "grts/structs.db.h"
#include "grts/structs.db.maxdb.h"
#include "grts/structs.db.mgmt.h"
#include "grts/structs.db.mysql.h"
#include "grts/structs.db.query.h"
#include "grts/structs.h"
#include "grts/structs.model.h"
#include "grts/structs.workbench.h"
#include "grts/structs.workbench.model.h"
#include "grts/structs.workbench.physical.h"

#endif // !_WIN32

#endif // _STDAFX_H_
